import { SdkContext, SdkEnumType, SdkModelType, SdkType } from "@azure-tools/typespec-client-generator-core";
import { InputEnumType, InputModelType, InputType } from "../type/input-type.js";
import { LiteralTypeContext } from "../type/literal-type-context.js";
import { SdkTypeMap } from "../type/sdk-type-map.js";
export declare function fromSdkType(sdkType: SdkType, context: SdkContext, typeMap: SdkTypeMap, literalTypeContext?: LiteralTypeContext): InputType;
export declare function fromSdkModelType(modelType: SdkModelType, context: SdkContext, typeMap: SdkTypeMap): InputModelType;
export declare function fromSdkEnumType(enumType: SdkEnumType, context: SdkContext, typeMap: SdkTypeMap, addToCollection?: boolean): InputEnumType;
//# sourceMappingURL=converter.d.ts.map